import request from '@/utils/request'

// // 获取测试场景
// export function listTestScenar(data) {
//   return request({
//     url: '/system/scenario/getList',
//     method: 'post',
//     data: data
//   })
// }
//
// // 获取场景类型
// export function listTestType(data) {
//   return request({
//     url: '/system/type/getList',
//     method: 'post',
//     data: data
//   })
// }

// 获取场景类型
export function listTestType(data) {
  return request({
    url: '/system/scenario/getScenarioList',
    method: 'post',
    data: data
  })
}

// 获取测试场景(科恩接口)
export function listTestScenar(data) {
  return request({
    url: '/system/scenario/getScenarioList',
    method: 'post',
    data: data
  })
}

// 获取测试方法（科恩接口）
export function listMethod(data) {
  return request({
    url: '/system/type/getTestTypeList',
    method: 'post',
    data: data
  })
}

// 获取测试用例列表（科恩接口）
export function listTestCase(data) {
  return request({
    url: '/system/testCase/getUseCaseList',
    method: 'post',
    data: data
  })
}
