import request from '@/utils/request'

// 获取项目
export const getObjectList = () => {
  return request({
    url: '/Object/Data/getList',
    method: 'post'
  })
}

export const add = data => {
  return request({
    url: '/Plan/Record/add',
    method: 'post',
    data
  })
}

export const details = data => {
  return request({
    url: '/Plan/Record/details',
    method: 'post',
    data
  })
}

export const standard = data => {
  return request({
    url: '/Plan/Record/standard',
    method: 'post',
    data
  })
}

export const getList = () => {
  return request({
    url: '/Plan/Record/page',
    method: 'post'
  })
}

export const standardDetail = data => {
  return request({
    url: '/Plan/Record/standard',
    method: 'post',
    data
  })
}

export const useCase = data => {
  return request({
    url: '/Plan/Record/useCase',
    method: 'post',
    data
  })
}

export const update = (data) => {
  return request({
    url: '/Plan/Record/update',
    method: 'post',
    data
  })
}


export const del = (data) => {
  return request({
    url: '/Plan/Record/del',
    method: 'post',
    data
  })
}
