import request from '@/utils/request'   
//1.查询按钮操作
export function listReviewer(query) {
    return request({
        url: '/review/scene/change/task/findPending',
        method: 'post',
        headers:{
            'Content-Type': 'application/json',
        },
        
        data: query
    })
}
export function listReviewerFinsh(query) {
    return request({
        url: '/review/scene/change/task/findFinish',
        method: 'post',
        headers:{
            'Content-Type': 'application/json',
        },
        
        data: query
    })
}
//2.去评审按钮跳转页面操作
export function reviewReviewer(query) {
    return request({
        url: '/review/scene/change/task/getById',
        method: 'post',
        headers:{
            'Content-Type': 'application/json',
        },
        data: query
    })
}
//3.发布评审意见按钮操作 创新基地审核任务
export function submitReviewerAudit(query){
    return request({
        url:'/review/scene/change/task/audit',
        method:'post',
        headers:{
            'Content-Type': 'application/json',
        },
        data:query
    })
}
//4.我的已审按钮跳转页面操作
export function alreadyReviewer(query) {
    return request({
        url: '/review/scene/change/task/getById',
        method: 'post',
        headers:{
            'Content-Type': 'application/json',
        },
        data: query
    })
}
export function listReviewerFinish(query) {
    return request({
        url: '/review/scene/change/task/FindFinish',
        method: 'post',
        headers:{
            'Content-Type': 'application/json',
        },
        
        data: query
    })
}